

#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************
create_clock -period 125MHz -name AVMM100 [get_ports {clk_100[0]}]

# Banks 1C/1D/1E/1F
create_clock -period 644.53125MHz -name REF644M_L1CT [get_ports {REFCLK_L1CT}]
create_clock -period 644.53125MHz -name REF644M_L1DT [get_ports {REFCLK_L1DT}]
create_clock -period 644.53125MHz -name REF644M_L1DB [get_ports {REFCLK_L1DB}]
create_clock -period 614.40000MHz -name REF614M_L1ET [get_ports {REFCLK_L1ET}]
create_clock -period 614.40000MHz -name REF614M_L1EB [get_ports {REFCLK_L1EB}]
create_clock -period 625.00000MHz -name REF625M_L1FT [get_ports {REFCLK_L1FT}]

# Banks 1K/1L/1M/1N
create_clock -period 644.53125MHz -name REF644M_L1KT [get_ports {REFCLK_L1KT}]
create_clock -period 614.40000MHz -name REF614M_L1KB [get_ports {REFCLK_L1KB}]
create_clock -period 625.00000MHz -name REF625M_L1LT [get_ports {REFCLK_L1LT}]
create_clock -period 644.53125MHz -name REF644M_L1NT [get_ports {REFCLK_L1NT}]

# Banks 4C/4D/4E/4F
create_clock -period 706.25000MHz -name REF706M_R4CT [get_ports {REFCLK_R4CT}]
create_clock -period 706.25000MHz -name REF706M_R4DT [get_ports {REFCLK_R4DT}]
create_clock -period 644.53125MHz -name REF644M_R4DB [get_ports {REFCLK_R4DB}]
create_clock -period 706.25000MHz -name REF706M_R4ET [get_ports {REFCLK_R4ET}]
create_clock -period 644.53125MHz -name REF644M_R4EB [get_ports {REFCLK_R4EB}]
create_clock -period 706.25000MHz -name REF706M_R4FT [get_ports {REFCLK_R4FT}]
create_clock -period 644.53125MHz -name REF644M_R4FB [get_ports {REFCLK_R4FB}]

# Banks 4K/4L/4M/4N
create_clock -period 644.53125MHz -name REF644M_R4LB [get_ports {REFCLK_R4LB}]
create_clock -period 706.25000MHz -name REF706M_R4NB [get_ports {REFCLK_R4NB}]


#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks
derive_clock_uncertainty


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************

